<!-- 
<div class="container" style="margin-top:10px">
    <div class="row">
  
        <div  class="col-12"> 
             <button type="button" (click)="addButtonClickFunction()"  class="btn btn-info mb-3" id="exampleModal" data-toggle="modal" data-target="#exampleModal">
              <i class="fas fa-plus"></i>Add Emergency Contact</button>
        </div>
  
  
      <div class="col-12">
        
  
  <table class="table table-sm table-stripped" >
    <thead>
        <tr  class="bg-info text-white text-center">
          
          <th>First Name</th>
           <th>Last Name</th>
           <th>City</th>
           <th>Mobile Number</th>
           <th>AltMobile Number</th>
           <th>Action</th>
        </tr>        
  
        <tr *ngFor="let row of emergencylistData "  class="text-center">
        
          <td>{{row.firstName}}</td>
          <td>{{row.lastName}}</td>
          <td>{{row.city}}</td>
          <td>{{row.Mobile}}</td>
          <td>{{row.AltMobile}}</td>
          
  <td class="text-right"> 
  <button  (click)="updateEmergencylist(row)" class="btn btn-outline-info  pl-3 pr-3 mx-2" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-pen"></i> Edit</button>
  <button (click)="deleteEmergencylist(row)" class="btn btn-outline-danger pl-3 " ><i class="fas fa-trash"></i> Delete</button>
  </td>
  </tr>
    </thead>
  </table>
      </div>
    </div>
  </div>
  
  <!- Modal -->
  <!-- <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h2 class="modal-title text-primary" *ngIf="showAddTitle" id="exampleModalLabel">Add New Farmer </h2>
          <h2 class="modal-title text-primary" *ngIf="showUpdateTitle" id="exampleModalLabel">Update Farmer Data</h2>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form [formGroup]="formValue">
                <div class="form-group">
                    <label for="firstName">First Name</label>
                    <input formControlName="firstName"  id="firstName" class="form-control" placeholder="Enter First Name.." required> 
                </div>
  
                <div class="form-group">
                    <label for="lastName" >Last Name</label>
                    <input id="lastName" formControlName="lastName" type="text"  class="form-control" placeholder="Enter Last Name.." required> 
                </div>
  
                <div class="form-group">
                    <label for="city">City</label>
                    <input id="city" type="city" formControlName="city" class="form-control" placeholder="Enter city.." required> <br>
                </div>
  
                <div class="form-group">
                    <label for="Mobile">Mobile Number</label>
                    <input id="Mobile" type="text" formControlName="Mobile" class="form-control" placeholder="Enter Mobile Number.." required> <br>
    
                </div>
  
                <div class="form-group">
                    <label for="AltMobile ">AltMobile Number</label>
                    <input id="text" type="text" formControlName="AltMobile" class="form-control" placeholder="Enter AltMobile Number.." required> <br>
                </div>
           
                  <button type="button"  id="cancel" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                  <input type="submit" *ngIf="showAdd"  (click)="postEmergencylistDetails()" class="btn btn-primary mx-2" value="Save">
            <button type="button" *ngIf="showUpdate"  (click)="updateEmergencylistDetails()" class="btn btn-primary mx-2">Update</button>
               
   
           </form>
        </div>
       
      </div>
    </div>
  </div>  -->
         
